# multi-way-switch

## Attributes

| Attribute   |
|-------------|
| `mode`      |
| `positions` |
| `values`    |

## Properties

| Property       | Type      | Default | Description                                      |
|----------------|-----------|---------|--------------------------------------------------|
| `$`            |           |         | Mini jQuery-like shadow dom selector (see constructor) |
| `knobRotation` | `number`  | 0       |                                                  |
| `uib`          | `boolean` | false   | Is UIBUILDER loaded?                             |
| `value`        |           |         |                                                  |

## Events

| Event                                    |
|------------------------------------------|
| `multi-way-switch:construction-complete` |
